#!/usr/bin/env python

#
# File system controller service
#

####################################################################

from dm.common.service.dmRestWebService import DmRestWebService
from dm.common.utility import dmModuleManager
from dm.fs_service.service import fsServiceRouteMapper

####################################################################

class FsService(DmRestWebService):
 
    def __init__(self):
        DmRestWebService.__init__(self, fsServiceRouteMapper)

    def initDmModules(self):
        self._logger.debug('Initializing dm modules')

        # Add modules that will be started.
        moduleManager = dmModuleManager.getInstance()
        self._logger.debug('Initialized dm modules')

####################################################################
# Run service

if __name__ == '__main__':
    service = FsService();
    service.run()
